Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0051401
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[POS2] POSminorhave not tried2023-01-18 12:472023-01-29 20:46
ReportermtaalView Statuspublic 
Assigned Toruben_jimenez 
PrioritynormalResolutionfixedFixed in Version23Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0051401: RM-4676: Print Pickup Coupons at Payment - Use Organization field instead of preference

DescriptionSee:
https://openbravo.atlassian.net/browse/RM-4676 [^]
Steps To ReproduceSee:
https://openbravo.atlassian.net/browse/RM-4676 [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 005149123Q1 scheduledruben_jimenez RM-4676: Print Pickup Coupons at Payment - Use Organization field instead of preference 
related to feature request 0051261 closedmtaal RM-3937 Print Coupons when starting payment step 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0145610)
hgbot (developer)
2023-01-19 09:37

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/1475 [^]
(0145775)
hgbot (developer)
2023-01-24 00:15

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 6fc11ebdb16adb98d903dbfa182af4522ca5cf0a
Author: Ruben Jimenez <ruben.jimenez@openbravo.com>
Date: 23-01-2023 23:14:42
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/6fc11ebdb16adb98d903dbfa182af4522ca5cf0a [^]

Fixed ISSUE-51401:Added a field to organization to control printing coupon at payment

---
M src-db/database/model/modifiedTables/AD_ORG.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src/org/openbravo/pos2/term/OBPOS2TerminalProperties.java
M web-jspack/org.openbravo.pos2/src/components/Payments/PaymentPanelButtons/PrintCouponsButton/PrintCouponsButton.jsx
M web-jspack/org.openbravo.pos2/src/core/pickupPoint/deliveryControl/DCMController.js
M web-jspack/org.openbravo.pos2/src/core/pickupPoint/deliveryControl/coupon/CouponDeliveryControlMethod.js
M web-jspack/org.openbravo.pos2/src/core/pickupPoint/deliveryControl/coupon/__test__/DoTicketCompletionPostHook.test.js
M web-jspack/org.openbravo.pos2/src/core/pickupPoint/deliveryControl/coupon/__test__/DoTicketPrepayment.test.js
---
(0145776)
hgbot (developer)
2023-01-24 00:15

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/1475 [^]
(0145777)
hgbot (developer)
2023-01-24 00:23

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 3a574c8626a3bb20bc72130c2d058770fa6d3549
Author: Martin Taal <martin.taal@openbravo.com>
Date: 24-01-2023 00:22:54
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/3a574c8626a3bb20bc72130c2d058770fa6d3549 [^]

Related to ISSUE-51401: repair import of dcm controller in code

---
M web-jspack/org.openbravo.pos2/src/components/Payments/PaymentPanelButtons/PrintCouponsButton/PrintCouponsButton.jsx
---
(0145981)
guilleaer (manager)
2023-01-29 20:46

Backport for 23Q1 is required

- Issue History
Date Modified Username Field Change
2023-01-18 12:47 mtaal New Issue
2023-01-18 12:47 mtaal Assigned To => mtaal
2023-01-18 12:47 mtaal Triggers an Emergency Pack => No
2023-01-18 12:47 mtaal Assigned To mtaal => ruben_jimenez
2023-01-19 09:19 ruben_jimenez Status new => scheduled
2023-01-19 09:37 hgbot Note Added: 0145610
2023-01-24 00:14 mtaal Status scheduled => resolved
2023-01-24 00:14 mtaal Resolution open => fixed
2023-01-24 00:14 mtaal Status resolved => closed
2023-01-24 00:15 hgbot Status closed => resolved
2023-01-24 00:15 hgbot Fixed in Version => 23Q2
2023-01-24 00:15 hgbot Note Added: 0145775
2023-01-24 00:15 hgbot Note Added: 0145776
2023-01-24 00:23 hgbot Note Added: 0145777
2023-01-29 20:38 mtaal Status resolved => closed
2023-01-29 20:45 guilleaer Relationship added related to 0051261
2023-01-29 20:46 guilleaer Note Added: 0145981
2023-01-30 09:05 ruben_jimenez Relationship added depends on 0051491


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker